<template>
  <footer class="footer">
    <div class="sum-container">
      <h2 class="title">Заказ на сумму:</h2>
      <span class="sum"> {{ sum }} ₽</span>
    </div>
    <the-button buttonText="Оформить заказ"
      isBlack
      @click="order"
    />
    <the-modal
      :modalText="modalText"
    ></the-modal>
  </footer>
</template>

<script>
import { computed, ref } from 'vue'
import { useStore } from 'vuex'
import TheButton from '@/components/ui/TheButton'
import TheModal from '@/components/elements/TheModal'

export default {
  components: {
    TheButton, TheModal
  },
  setup () {
    const modalText = ref('')
    const store = useStore()
    const sum = computed(() => store.getters.GetSum)
    const order = () => {
      console.log(sum.value + 15)
      console.log(!sum.value)
      if (!sum.value) {
        modalText.value = 'Нет товаров в корзине. ☹️'
      } else {
        modalText.value = 'Заказ оформлен! 🙂'
        store.commit('SetRemoveAllItems')
      }
      store.commit('SetIsGoToMainPage', true)
      store.commit('SetIsModalOpened', true)
    }
    return {
      sum, order, modalText
    }
  }
}
</script>

<style lang="scss" scoped>
.footer {
  height: 90px;
  display: flex;
  justify-content: space-between;
  align-items: center;

  .sum-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 0 16px;
    font-family: Montserrat;
    font-weight: 400;

    .title {
      font-size: 21px;
      text-transform: uppercase;
      color: #FFFFFF;
    }

    .sum {
      font-size: 18px;
      color: #D58C51;
    }
  }
}
</style>
